.TH HLGREP 1 "2 Jun 1993"
.SH NAME
hlgrep - highlight grep
.SH SYNOPSIS
hlgrep [ -aDhinw ]
.I pattern
[
.IR filename " .\|.\|. ]"
.SH DESCRIPTION
.B hlgrep
searches the given
.I filenames
(or the standard input if no files are specified)
for lines containing the regular expression
.IR pattern 
and prints those lines with the matching patterns highlighted.
.LP
Regular expressions are the same as those used in
.BR perl (1).
.SH OPTIONS
.TP
.B \-a
Print all lines, not just those that contain matching patterns.
This is useful for seeing the patterns in context.
.TP
.B \-D
Print debugging info.
.B hlgrep
builds a command for perl to
.IR eval .
This option causes that command to be printed to standard error before
any processing.
.TP
.B \-h
Don't print filenames when more than one file is given on the command line.
.TP
.B \-i
Ignore case.
.TP
.B \-n
Print line numbers.
.TP
.B \-w
Match patterns only as complete words.
.LP
Typical grep options like
.B \-l
(print filenames only),
.B \-c
(print count of matching lines only),
.B \-s
(set exit status only), and
.B \-v
(print lines that don't match) defeat the purpose of this program
(highlighting) and aren't provided.  Use one of the other greps if
you need them.
.SH NOTES
.B hlgrep
is written in perl, so your system must have perl installed.  It uses
the package
.BR getopts.pl ,
which some versions of perl earlier than 4.036 don't have.
.SH "SEE ALSO"
.BR agrep (1),
.BR egrep (1),
.BR fgrep (1),
.BR grep (1),
.BR hgrep (1),
.BR perl (1),
.BR tput (1)
.SH BUGS
The current version of
.B hlgrep
uses hardcoded values for terminal capability strings, but it can
be configured to use
.BR tput (1)
to get terminal capabilities at runtime.
.LP
Please report any other bugs to the author.
.SH DIAGNOSTICS
Exit status 0 if pattern found, 1 if pattern not found, 2 if syntax
error.
.SH AUTHOR
Michael Fuhr (mfuhr@cwis.unomaha.edu, but probably not after
Summer '93).
